Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Interface PropertyUserStore.UserListener

Enclosing class:
  PropertyUserStore

    public static interface PropertyUserStore.UserListener

UserListener

Method Summary
`void` | `remove(java.lang.String username)`
`void` | `update(java.lang.String username, Credential credential, java.lang.String[] roleArray)`

Method Detail

### update

    void update(java.lang.String username,
                Credential credential,
                java.lang.String[] roleArray)

### remove

    void remove(java.lang.String username)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.